petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscFECreateDefault

Create a PetscFE for basic FEM computation

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFECreateDefault(MPI_Comm comm, PetscInt dim, PetscInt Nc, PetscBool isSimplex, const char prefix[], PetscInt qorder, PetscFE *fem)

Collective on DM

### Input Parameters

| comm | - The MPI comm
| dim | - The spatial dimension
| Nc | - The number of components
| isSimplex | - Flag for simplex reference cell, otherwise its a tensor product
| prefix | - The options prefix, or NULL
| qorder | - The quadrature order

### Output Parameter

fem -The PetscFE object

### Keywords

PetscFE, finite element

### See Also

PetscFECreate(), PetscSpaceCreate(), PetscDualSpaceCreate()

### Level

beginner

### Location

src/dm/dt/fe/interface/fe.c

### Examples

src/dm/field/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages